import { localizeWithPath } from '../../nls.js';
import { ParseErrorCode } from './json.js';
const _moduleId = "vs/base/common/jsonErrorMessages";
function getParseErrorMessage(errorCode) {
    switch (errorCode) {
        case ParseErrorCode.InvalidSymbol: return ( localizeWithPath(_moduleId, 0, 'Invalid symbol'));
        case ParseErrorCode.InvalidNumberFormat: return ( localizeWithPath(_moduleId, 1, 'Invalid number format'));
        case ParseErrorCode.PropertyNameExpected: return ( localizeWithPath(_moduleId, 2, 'Property name expected'));
        case ParseErrorCode.ValueExpected: return ( localizeWithPath(_moduleId, 3, 'Value expected'));
        case ParseErrorCode.ColonExpected: return ( localizeWithPath(_moduleId, 4, 'Colon expected'));
        case ParseErrorCode.CommaExpected: return ( localizeWithPath(_moduleId, 5, 'Comma expected'));
        case ParseErrorCode.CloseBraceExpected: return ( localizeWithPath(_moduleId, 6, 'Closing brace expected'));
        case ParseErrorCode.CloseBracketExpected: return ( localizeWithPath(_moduleId, 7, 'Closing bracket expected'));
        case ParseErrorCode.EndOfFileExpected: return ( localizeWithPath(_moduleId, 8, 'End of file expected'));
        default:
            return '';
    }
}
export { getParseErrorMessage };
